CREATE TABLE IF NOT EXISTS `hangman_words` (
  `word` varchar(50) NOT NULL,
  `difficulty` enum('Easy','Medium','Hard') NOT NULL DEFAULT 'Easy',
  UNIQUE KEY `word` (`word`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `hangman_words` (`word`, `difficulty`) VALUES
('dog', 'Easy'),
('cat', 'Easy'),
('fish', 'Easy'),
('horse', 'Easy'),
('donkey', 'Easy'),
('cow', 'Easy'),
('mule', 'Easy'),
('lizard', 'Easy'),
('leather belt', 'Medium'),
('blue suit', 'Medium'),
('crochet shawl', 'Medium'),
('denim jeans', 'Medium'),
('black tuxedo', 'Medium'),
('seamstress', 'Medium'),
('sibilant', 'Hard'),
('obtest', 'Hard'),
('cicatrix', 'Hard'),
('pother', 'Hard'),
('sudorific', 'Hard'),
('mensch', 'Hard'),
('besot', 'Hard'),
('fulcrum', 'Hard');